/*肖飞新增*/
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('828', '生成图片', 'ConvertImage', 'LINK', '624', '7', 'AUTH', '829', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('829', '生成图片', '/api/admin/exam/card/convert_image', 'URL', '624', '6', 'AUTH', '1', '1', '1');

ALTER TABLE `sys_org` ADD COLUMN `third_relate_id` INT NULL COMMENT '云阅卷机构ID' AFTER `historic_name`;

CREATE TABLE `exam_task_sync` (
    `id` BIGINT(20) NOT NULL,
    `school_id` BIGINT(20) NOT NULL,
    `course_code` VARCHAR(50) NOT NULL COMMENT '课程代码',
    `paper_number` VARCHAR(50) NOT NULL COMMENT '试着编号',
    `org_code` VARCHAR(45) NULL COMMENT '机构代码',
    `third_relate_id` INT NULL COMMENT '云阅卷考试ID',
    `sync_status` VARCHAR(45) NULL COMMENT '同步状态',
    `error_msg` VARCHAR(500) NULL COMMENT '同步失败原因',
    `sync_user_id` BIGINT(20) NULL COMMENT '同步用户ID',
    `sync_start_time` BIGINT(20) NULL COMMENT '同步开始时间 ',
    `sync_end_time` BIGINT(20) NULL COMMENT '同步结束时间',
    PRIMARY KEY (`id`));

DELETE FROM `sys_privilege` WHERE (`id` = '791');
UPDATE `sys_privilege` SET `related` = '435,792,793' WHERE (`id` = '394');
UPDATE `sys_privilege` SET `related` = '435,792,793' WHERE (`id` = '397');
ALTER TABLE `t_sync_stmms_exam` ADD COLUMN `org_code` VARCHAR(45) NULL COMMENT '机构代码' AFTER `school_id`;

UPDATE `sys_privilege` SET `name` = '启用/禁用' WHERE (`id` = '559');
UPDATE `sys_privilege` SET `name` = '启用/禁用',`url` = '/api/admin/basic/semester/enable' WHERE (`id` = '560');

DELETE FROM `sys_config` WHERE (`id` = '6');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('395', '校验同步规则', '/api/admin/exam/print_sync/check_sync_mode', 'URL', '392', '10', 'AUTH', '1', '1', '1');
UPDATE `sys_privilege` SET `related` = '395,435,792,793' WHERE (`id` = '394');
UPDATE `sys_privilege` SET `related` = '395,435,792,793' WHERE (`id` = '397');


/*王亮新增*/
INSERT INTO sys_role
(id, school_id, org_id, name, enable, `type`, create_id, create_time, update_id, update_time, default_role, source, interpret)
VALUES(9, NULL, NULL, '学校管理员', 1, 'SCHOOL_ADMIN', NULL, NULL, NULL, NULL, 1, 'SYS', '系统内置');
INSERT INTO sys_role
(id, school_id, org_id, name, enable, `type`, create_id, create_time, update_id, update_time, default_role, source, interpret)
VALUES(10, NULL, NULL, '学校老师', 1, 'SCHOOL_TEACHER', NULL, NULL, NULL, NULL, 1, 'SYS', '系统内置');
INSERT INTO sys_role
(id, school_id, org_id, name, enable, `type`, create_id, create_time, update_id, update_time, default_role, source, interpret)
VALUES(11, NULL, NULL, '学院秘书', 1, 'ASSISTANT', NULL, NULL, NULL, NULL, 1, 'SYS', '系统内置');

INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(99, 9, 1, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(100, 9, 2, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(101, 9, 3, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(102, 9, 4, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(103, 9, 5, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(104, 9, 6, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(105, 9, 8, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(106, 9, 9, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(107, 9, 11, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(108, 9, 13, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(109, 9, 49, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(110, 9, 77, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(111, 9, 78, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(112, 9, 79, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(113, 9, 80, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(114, 9, 81, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(115, 9, 83, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(116, 9, 84, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(117, 9, 85, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(118, 9, 87, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(119, 9, 88, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(120, 9, 89, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(121, 9, 90, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(122, 9, 91, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(123, 9, 92, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(124, 9, 93, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(125, 9, 94, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(126, 9, 96, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(127, 9, 97, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(128, 9, 99, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(129, 9, 100, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(130, 9, 101, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(131, 9, 102, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(132, 9, 103, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(133, 9, 104, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(134, 9, 112, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(135, 9, 113, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(136, 9, 114, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(137, 9, 123, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(138, 9, 124, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(139, 9, 125, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(140, 9, 168, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(141, 9, 184, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(142, 9, 190, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(143, 9, 192, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(144, 9, 217, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(145, 9, 218, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(146, 9, 219, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(147, 9, 220, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(148, 9, 221, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(149, 9, 222, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(150, 9, 223, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(151, 9, 224, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(152, 9, 225, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(153, 9, 226, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(154, 9, 227, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(155, 9, 228, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(156, 9, 229, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(157, 9, 230, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(158, 9, 231, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(159, 9, 232, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(160, 9, 233, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(161, 9, 234, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(162, 9, 235, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(163, 9, 236, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(164, 9, 237, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(165, 9, 238, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(166, 9, 239, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(167, 9, 240, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(168, 9, 243, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(169, 9, 249, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(170, 9, 250, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(171, 9, 251, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(172, 9, 252, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(173, 9, 253, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(174, 9, 254, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(175, 9, 255, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(176, 9, 263, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(177, 9, 265, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(178, 9, 268, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(179, 9, 269, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(180, 9, 270, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(181, 9, 271, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(182, 9, 337, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(183, 9, 338, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(184, 9, 339, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(185, 9, 340, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(186, 9, 341, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(187, 9, 342, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(188, 9, 343, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(189, 9, 345, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(190, 9, 356, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(191, 9, 357, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(192, 9, 358, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(193, 9, 359, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(194, 9, 360, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(195, 9, 361, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(196, 9, 362, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(197, 9, 363, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(198, 9, 364, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(199, 9, 365, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(200, 9, 367, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(201, 9, 368, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(202, 9, 369, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(203, 9, 370, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(204, 9, 372, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(205, 9, 373, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(206, 9, 374, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(207, 9, 375, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(208, 9, 376, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(209, 9, 377, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(210, 9, 378, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(211, 9, 379, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(212, 9, 380, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(213, 9, 381, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(214, 9, 382, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(215, 9, 383, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(216, 9, 384, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(217, 9, 385, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(218, 9, 388, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(219, 9, 390, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(220, 9, 391, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(221, 9, 400, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(222, 9, 402, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(223, 9, 403, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(224, 9, 404, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(225, 9, 405, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(226, 9, 406, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(227, 9, 407, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(228, 9, 408, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(229, 9, 409, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(230, 9, 410, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(231, 9, 411, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(232, 9, 413, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(233, 9, 414, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(234, 9, 415, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(235, 9, 416, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(236, 9, 418, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(237, 9, 419, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(238, 9, 422, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(239, 9, 450, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(240, 9, 451, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(241, 9, 452, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(242, 9, 453, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(243, 9, 454, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(244, 9, 455, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(245, 9, 456, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(246, 9, 457, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(247, 9, 458, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(248, 9, 459, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(249, 9, 460, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(250, 9, 461, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(251, 9, 462, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(252, 9, 477, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(253, 9, 509, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(254, 9, 510, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(255, 9, 511, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(256, 9, 512, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(257, 9, 513, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(258, 9, 514, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(259, 9, 515, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(260, 9, 516, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(261, 9, 517, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(262, 9, 518, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(263, 9, 519, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(264, 9, 520, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(265, 9, 521, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(266, 9, 522, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(267, 9, 523, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(268, 9, 524, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(269, 9, 525, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(270, 9, 526, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(271, 9, 532, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(272, 9, 533, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(273, 9, 534, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(274, 9, 535, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(275, 9, 536, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(276, 9, 537, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(277, 9, 538, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(278, 9, 549, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(279, 9, 550, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(280, 9, 551, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(281, 9, 552, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(282, 9, 553, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(283, 9, 554, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(284, 9, 555, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(285, 9, 556, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(286, 9, 557, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(287, 9, 559, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(288, 9, 560, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(289, 9, 567, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(290, 9, 568, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(291, 9, 569, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(292, 9, 570, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(293, 9, 571, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(294, 9, 572, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(295, 9, 573, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(296, 9, 574, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(297, 9, 609, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(298, 9, 610, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(299, 9, 611, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(300, 9, 612, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(301, 9, 613, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(302, 9, 614, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(303, 9, 615, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(304, 9, 616, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(305, 9, 617, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(306, 9, 618, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(307, 9, 619, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(308, 9, 620, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(309, 9, 621, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(310, 9, 622, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(311, 9, 623, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(312, 9, 624, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(313, 9, 625, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(314, 9, 626, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(315, 9, 627, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(316, 9, 628, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(317, 9, 629, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(318, 9, 630, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(319, 9, 631, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(320, 9, 632, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(321, 9, 633, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(322, 9, 635, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(323, 9, 636, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(324, 9, 638, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(325, 9, 639, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(326, 9, 640, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(327, 9, 641, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(328, 9, 643, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(329, 9, 645, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(330, 9, 646, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(331, 9, 647, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(332, 9, 648, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(333, 9, 649, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(334, 9, 653, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(335, 9, 654, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(336, 9, 655, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(337, 9, 656, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(338, 9, 657, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(339, 9, 658, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(340, 9, 659, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(341, 9, 660, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(342, 9, 661, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(343, 9, 664, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(344, 9, 665, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(345, 9, 757, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(346, 9, 758, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(347, 9, 763, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(348, 9, 782, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(349, 9, 783, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(350, 9, 784, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(351, 9, 785, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(352, 9, 788, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(353, 9, 789, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(354, 9, 803, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(355, 9, 810, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(356, 9, 811, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(357, 9, 812, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(358, 9, 813, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(359, 9, 814, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(360, 9, 815, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(361, 9, 816, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(362, 9, 817, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(363, 10, 40, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(364, 10, 49, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(365, 10, 70, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(366, 10, 71, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(367, 10, 72, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(368, 10, 167, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(369, 10, 168, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(370, 10, 174, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(371, 10, 280, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(372, 10, 281, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(373, 10, 282, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(374, 10, 283, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(375, 10, 284, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(376, 10, 285, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(377, 10, 371, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(378, 10, 417, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(379, 10, 420, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(380, 10, 421, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(381, 10, 424, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(382, 10, 427, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(383, 10, 441, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(384, 10, 442, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(385, 10, 463, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(386, 10, 464, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(387, 10, 465, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(388, 10, 466, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(389, 10, 467, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(390, 10, 468, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(391, 10, 477, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(392, 10, 568, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(393, 10, 640, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(394, 10, 641, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(395, 10, 642, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(396, 10, 651, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(397, 10, 652, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(398, 10, 759, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(399, 10, 760, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(400, 10, 761, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(401, 10, 762, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(402, 10, 806, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(403, 10, 807, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(404, 11, 483, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(405, 11, 486, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(406, 11, 488, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(407, 11, 489, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(408, 11, 491, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(409, 11, 492, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(410, 11, 493, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(411, 11, 494, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(412, 11, 496, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(413, 11, 497, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(414, 11, 541, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(415, 11, 575, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(416, 11, 576, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(417, 11, 577, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(418, 11, 578, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(419, 11, 579, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(420, 11, 580, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(421, 11, 581, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(422, 11, 582, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(423, 11, 583, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(424, 11, 584, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(425, 11, 585, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(426, 11, 586, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(427, 11, 587, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(428, 11, 588, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(429, 11, 589, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(430, 11, 590, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(431, 11, 591, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(432, 11, 592, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(433, 11, 593, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(434, 11, 594, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(435, 11, 595, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(436, 11, 596, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(437, 11, 597, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(438, 11, 598, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(439, 11, 599, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(440, 11, 600, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(441, 11, 601, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(442, 11, 608, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(443, 11, 650, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(444, 11, 662, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(445, 11, 666, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(446, 11, 667, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(447, 11, 668, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(448, 11, 669, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(449, 11, 670, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(450, 11, 671, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(451, 11, 672, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(452, 11, 673, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(453, 11, 674, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(454, 11, 753, 1);
INSERT INTO sys_role_privilege
(id, role_id, privilege_id, enable)
VALUES(455, 11, 754, 1);

UPDATE sys_privilege
SET name='课程管理'
WHERE id=575;

UPDATE sys_privilege
SET name='课程管理'
WHERE id=650;

UPDATE sys_privilege
SET parent_id=585
WHERE id=587;

UPDATE sys_privilege
SET parent_id=585
WHERE id=588;

UPDATE sys_privilege
SET parent_id=585
WHERE id=589;

UPDATE sys_privilege
SET parent_id=585
WHERE id=590;

delete t from sys_privilege t WHERE t.id=586;

UPDATE sys_privilege
SET name='管理'
WHERE id=585;

/*曹子轩新增*/
ALTER TABLE `teach_clazz`
    CHANGE COLUMN `teach_course_id` `basic_course_id` BIGINT NOT NULL COMMENT '基础课程主键' ,
    DROP INDEX `teach_clazz_unique` ,
    ADD UNIQUE INDEX `teach_clazz_unique` (`school_id` ASC, `basic_course_id` ASC, `teach_clazz_name` ASC) INVISIBLE;
;
ALTER TABLE `teach_student`
    CHANGE COLUMN `teach_course_id` `basic_course_id` BIGINT NOT NULL COMMENT '基础课程id（冗余）' ;